Bug 1659813 - numerous errors "Suspicious rollback date given"
Summary: numerous errors "Suspicious rollback date given"
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-16 17:49 UTC by Daniel
Modified: 2018-12-17 22:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-17 22:03:02 UTC


Attachments (Terms of Use)

Description Daniel 2018-12-16 17:49:48 UTC
Description of problem: I try to compile a latex file which perfectly worked in F28 until the latest upfate. Now in a fresh F29 installation there are numerous errors and the file can't be compiled. The warnings start with the texlive-koma-script package:

(/usr/share/texlive/texmf-dist/tex/latex/koma-script/scrbook.cls
Document Class: scrbook 2018/03/30 v3.25 KOMA-Script document class (book)

LaTeX Warning: Suspicious rollback/min-date date given
               A minimal date of 2018/03/30 v3.25 KOMA-Script has been specifie
d for document class
               'scrkbase'.
               But this is in conflict with a rollback request to 2014/12/31.

(/usr/share/texlive/texmf-dist/tex/latex/koma-script/scrkbase.sty

LaTeX Warning: Suspicious rollback/min-date date given
               A minimal date of 2018/03/30 v3.25 KOMA-Script has been specifie
d for package
               'scrbase'.
               But this is in conflict with a rollback request to 2014/12/31.

(/usr/share/texlive/texmf-dist/tex/latex/koma-script/scrbase.sty
(/usr/share/texlive/texmf-dist/tex/latex/graphics/keyval.sty)

LaTeX Warning: Suspicious rollback/min-date date given
               A minimal date of 2018/03/30 v3.25 KOMA-Script  has been specifi
ed for package
               'scrlfile'.
               But this is in conflict with a rollback request to 2014/12/31.

(/usr/share/texlive/texmf-dist/tex/latex/koma-script/scrlfile.sty))

LaTeX Warning: Suspicious rollback/min-date date given
               A minimal date of 2018/03/30 v3.25 KOMA-Script  has been specifi
ed for package
               'scrlfile'.
               But this is in conflict with a rollback request to 2014/12/31.

)

LaTeX Warning: Suspicious rollback/min-date date given
               A minimal date of 2018/03/30 v3.25 KOMA-Script  has been specifi
ed for document class
               'tocbasic'.
               But this is in conflict with a rollback request to 2014/12/31.

(/usr/share/texlive/texmf-dist/tex/latex/koma-script/tocbasic.sty)

Class scrbook Warning: deprecated option `enabledeprecatedfontcommands'.
(scrbook)              Note, that this option was already depreacted when
(scrbook)              it has been defined. Support for old font commands
(scrbook)              has been removed from KOMA-Script more than one
(scrbook)              decade ago. It is not recommended to use them any
(scrbook)              longer. Therefore usage of this class option also
(scrbook)              is not recommended.

(/usr/share/texlive/texmf-dist/tex/latex/koma-script/scrsize10pt.clo)

LaTeX Warning: Suspicious rollback/min-date date given
               A minimal date of 2018/03/30 v3.25 KOMA-Script has been specifie
d for document class
               'typearea'.
               But this is in conflict with a rollback request to 2014/12/31.

(/usr/share/texlive/texmf-dist/tex/latex/koma-script/typearea.sty

LaTeX Warning: Suspicious rollback/min-date date given
               A minimal date of 2018/03/30 v3.25 KOMA-Script has been specifie
d for package
               'scrkbase'.
               But this is in conflict with a rollback request to 2014/12/31.

It continues the same way, and there are numerous such warnings on other packages as well.

The whole compilation process crashes with:

(/usr/share/texlive/texmf-dist/tex/latex/tools/array.sty

! LaTeX Error: Suspicious rollback date given.

See the LaTeX manual or LaTeX Companion for explanation.
Type  H <return>  for immediate help.
 ...                                              
                                                  
l.44 ...elease{}{2016-10-06}{array-2016-10-06.sty}
                                                  
? x
No pages of output.

Packages concerned: texlive-tools-svn47671-22.fc29.noarch, texlive-koma-script-svn47249-22.fc29.noarch

Comment 1 Tom "spot" Callaway 2018-12-17 14:36:01 UTC
Can you provide an example file which reproduces this?

Comment 2 Daniel 2018-12-17 22:02:45 UTC
Sorry, this is no bug at all. There is some old (and rotten) stuff in a lengthy style file that accumulates all these warnings & errors.


Note You need to log in before you can comment on or make changes to this bug.